using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public class ByOwnerFilter : WorldObjectCollectionFilter
{
	private int owner;

	public int Owner
	{
		get
		{
			return owner;
		}
		set
		{
			owner = value;
		}
	}

	public ByOwnerFilter()
	{
	}

	public ByOwnerFilter(int owner)
	{
		this.owner = owner;
	}

	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByOwner(owner);
	}
}
